Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.entities
Class ResultConfig

    java.lang.Object
      com.opensymphony.xwork2.util.location.Located
          com.opensymphony.xwork2.config.entities.ResultConfig

All Implemented Interfaces:
  Locatable, Serializable

    public class ResultConfig

extends Located
implements Serializable

Configuration for Result.

In the xml configuration file this is defined as the `result` tag.

Author:
  Mike
See Also:
  Serialized Form

Nested Class Summary
`static class` | `ResultConfig.Builder` The builder for this object.

Field Summary
`protected String` | `className`
`protected String` | `name`
`protected Map<String,String>` | `params`

Fields inherited from class com.opensymphony.xwork2.util.location.Located
`location`

Constructor Summary
`protected` | `ResultConfig(ResultConfig orig)`
`protected` | `ResultConfig(String name, String className)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getClassName()`
`String` | `getName()`
`Map<String,String>` | `getParams()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class com.opensymphony.xwork2.util.location.Located
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### params

    protected Map<String,String> params

### className

    protected String className

### name

    protected String name

Constructor Detail

### ResultConfig

    protected ResultConfig(String name,
                           String className)

### ResultConfig

    protected ResultConfig(ResultConfig orig)

Method Detail

### getClassName

    public String getClassName()

### getName

    public String getName()

### getParams

    public Map<String,String> getParams()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.